Skip to main content
POST /v2/cards/simulations/3DSAuthRequest

Request

Use this request to simulate a 3D Secure (3DS) authentication request in the sandbox, and trigger the 3DSAuthRequest webhook.
curl -i -X POST \
  'https://api.equalsmoney.com/v2/cards/simulations/3DSAuthRequest?accountId=F50091' \
  -H 'Authorization: YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '{
    "cardId": "e9293471-5eb3-4dbc-916c-dbaf9e2deefd",
    "amount": "10",
    "currencyCode": 826,
    "subType": "PURCHASE",
    "transactionType": "PAYMENT",
    "cardAcceptor": {
      "name": "John Smith"
    }
  }'

Query parameters

accountId
string
required
The ID of the account that the card is associated with.Allowable values: An existing accountId

Request body schema

cardId
string
required
TThe ID of the card to work with.Allowable values: A valid cardId
amount
number
required
Amount of the payment being made.
currencyCode
string
required
ISO 4217 three-digit currency code of the payment.Allowable values: ≤ 999

Response

If your request is successful, you’ll receive a 200 response.
{
  "success": true
}
For more detailed information about this request and its response, see the API reference.